package capitulo04.bloque04;


import static capitulo04.utils.Utils.solicitarStringScanner;

public class Ejercicio02 {
    public static void main(String[] args) {
        contarVocalesYConsonantes(solicitarStringScanner("Introduzca para contar sus vocales y consonantes"));
    }

    public static void contarVocalesYConsonantes(String textoAContar) {
        int charVocal = 0;
        int charConsonante = 0;
        String minuscula = "";
        for (int i = 0; i < textoAContar.length(); i++) {
            if (textoAContar.charAt(i) >= 65 && textoAContar.charAt(i) <= 90) {
                minuscula += (char) (textoAContar.charAt(i) + 32);
            } else {
                minuscula += textoAContar.charAt(i);
            }
            if (minuscula.charAt(i) == 97
                    || minuscula.charAt(i) == 101
                    || minuscula.charAt(i) == 105
                    || minuscula.charAt(i) == 111
                    || minuscula.charAt(i) == 117
            ) {
                charVocal++;
            } else if (minuscula.charAt(i) >= 97 && minuscula.charAt(i) <= 122) {
                charConsonante++;
            }
        }
        System.out.println("La frase tiene " + charVocal + " vocales");
        System.out.println("La frase tiene " + charConsonante + " consonantes");
    }
}
